Page MenuHomePhabricator

Improve nowiki additions to only wrap the string that needs protection
Closed, ResolvedPublic0 Story Points

Description

Sometimes you want a single quotation mark next to an italicized (or bolded) word.
It would be nice if VisualEditor/Parsoid did something elegant with the wikitext, like "celui d'<nowiki/>''Homo sapiens''" instead of wrapping half a sentence inside nowiki tags to deal with a single character.


Version: unspecified
Severity: normal

Details

Reference
bz69950

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:38 AM
bzimport added a project: Parsoid-Serializer.
bzimport set Reference to bz69950.

See https://fr.wikipedia.org/w/index.php?title=La_Horde_sauvage_(film,_1969)&curid=88578&diff=106771550&oldid=106771188

https://fr.wikipedia.org/w/index.php?title=Archelon&curid=1273494&diff=106770342&oldid=105728402

If in a long string, only a single small piece of it needs nowiki-ing, that single string can be wrapped. In general, this requires knowing that nothing else in the long string needs a nowiki wrapper, but heuristics could work for common scenarios. This seems to be a problem that affects frwiki especially.

Arlolra set Security to None.
ssastry moved this task from Backlog to In Progress on the Parsoid board.Nov 30 2014, 4:02 PM
ssastry moved this task from In Progress to Backlog on the Parsoid board.Dec 4 2014, 8:21 AM
ssastry moved this task from Backlog to html2wt on the Parsoid board.Dec 20 2014, 5:01 PM
marcoil moved this task from html2wt to Backlog on the Parsoid board.Feb 13 2015, 12:46 PM
ssastry added a subscriber: NicoV.

nowiki addition for quotes has improved since this ticket was created. We should investigate what needs fixing here. But, one recent diff that could be investigated (as reported by @NicoV) is https://fr.wikipedia.org/w/index.php?title=Grand_Line&curid=4571652&diff=111992974&oldid=111360543

ssastry moved this task from Backlog to VE Q3 on the Parsoid board.Feb 26 2015, 7:16 PM
marcoil claimed this task.Mar 2 2015, 3:44 PM

Change 193842 had a related patch set uploaded (by Marcoil):
WIP: T71950: Output <nowiki> closer to actual reason

https://gerrit.wikimedia.org/r/193842

Change 193842 merged by jenkins-bot:
T71950: Output <nowiki> closer to quotes

https://gerrit.wikimedia.org/r/193842

Jdforrester-WMF closed this task as Resolved.Mar 11 2015, 6:57 PM